@media (max-width: 960px) {
    nav {
        display: none;
    }

    body {
        margin: 0;
    }
    
    .main-menu {
        list-style: none;
        position: fixed;
        width: 300px; 
        height: 100%;
        left: -100%;
        visibility: hidden;
        transition-duration: 0.5s;
        background-color: #969e5d;
        top: 32px;
        z-index: 999999999;
    }
    
    .main-menu li {
        display: block;
        padding: 15px;
        width: 250px;
        position: relative;
        color: #fff;
    }
    
    .main-menu > li:last-child {
        top: 150px;
    }

    .menu-btn {
        display: flex;
        align-items: center;
        position: fixed;
        width: 30px;
        height: 30px;
        top: 10px;
        left: 25px;
    }
    
    .menu-btn > span, .menu-btn > span::before, .menu-btn > span::after {
        display: block;
        position: absolute;
        width: 30px;
        height: 4px;
        background-color: #fff;
        transition-duration: 0.5s;
    }
    
    .menu-btn > span::before {
        content: "";
        top: -8px;
        transition-duration: 0.5s;
    }
    
    .menu-btn > span::after {
        content: "";
        top: 8px;
        transition-duration: 0.5s;
    }
    
    #menu-toggle {
        opacity: 0;
    }
    
    #menu-toggle:checked ~ .main-menu {
        left: 0;
        visibility: visible;
        transition-duration: 0.5s;
    }
    
    #menu-toggle:checked ~ .menu-btn > span {
        transform: rotate(45deg);
        transition-duration: 0.5s;
    }
    
    #menu-toggle:checked ~ .menu-btn > span::before {
        transform: rotate(90deg);
        transition-duration: 0.5s;
        top: 0;
    }
    
    #menu-toggle:checked ~ .menu-btn > span::after {
        top: 0;
        transition-duration: 0.5s;
    }
    
    div.menu {
        background-color: #b2c86d;
        height: 50px;
        width: 100%;
        grid-column: 1/8;
        position: fixed;
        display: block;
        z-index: 99999;
    }
}
